commit:     28d66bf7c10aa06b920a15612965ba3695e460f4
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 23 17:19:15 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Nov 23 17:19:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28d66bf7

net-misc/olsrd: Fix configuration warning in init script

While there, decompress manual pages, too.

Fixes: https://bugs.gentoo.org/642108
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-misc/olsrd/files/olsrd             |   4 +-
 net-misc/olsrd/olsrd-0.9.6.1-r1.ebuild | 101 +++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+), 2 deletions(-)

diff --git a/net-misc/olsrd/files/olsrd b/net-misc/olsrd/files/olsrd
index aca79b9d428..34c410e9944 100644
--- a/net-misc/olsrd/files/olsrd
+++ b/net-misc/olsrd/files/olsrd
@@ -5,8 +5,8 @@ depend() {
 }
 
 checkconfig() {
-       if [ ! -e /etc/olsrd.conf ]; then
-               eerror "You need a /etc/olsrd.conf file to run olsrd"
+       if [ ! -e /etc/olsrd/olsrd.conf ]; then
+               eerror "You need a /etc/olsrd/olsrd.conf file to run olsrd"
                eerror "There is sample file in /usr/share/doc/olsrd-version/"
                return 1
        fi

diff --git a/net-misc/olsrd/olsrd-0.9.6.1-r1.ebuild 
b/net-misc/olsrd/olsrd-0.9.6.1-r1.ebuild
new file mode 100644
index 00000000000..32a6685bd66
--- /dev/null
+++ b/net-misc/olsrd/olsrd-0.9.6.1-r1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils multilib toolchain-funcs versionator
+
+DESCRIPTION="An implementation of the Optimized Link State Routing protocol"
+HOMEPAGE="http://www.olsr.org/";
+SRC_URI="http://www.olsr.org/releases/$(get_version_component_range 
1-2)/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="BSD LGPL-2.1"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk pud"
+DEPEND="
+       gtk? (
+               dev-libs/glib:2
+               x11-libs/gdk-pixbuf:2
+               x11-libs/gtk+:2
+       )
+       pud? ( sci-geosciences/gpsd )
+"
+RDEPEND="
+       ${DEPEND}
+"
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.9.0.2-gtk.patch
+       "${FILESDIR}"/${PN}-0.9.6-gpsd.patch
+)
+src_prepare() {
+       default
+
+       # fix parallel make
+       # respect AR
+       # verbose build
+       # fix default prefix, bug #453440
+       sed -i \
+               -e '/@echo "\[/d' \
+               -e 's|$(MAKECMD)|$(MAKE)|g' \
+               -e 's|@$(CC)|$(CC)|g' \
+               -e 's|@ar |$(AR) |g' \
+               -e '/^prefix/s:/usr/local:/usr:' \
+               $( find -name 'Makefile*' ) || die
+
+       # respect LDFLAGS
+       sed -i \
+               -e 's|$(CC)|& $(OLSRD_LDFLAGS)|g' \
+               lib/pud/nmealib/Makefile lib/pud/wireformat/Makefile || die
+}
+
+src_configure() {
+       if ! use pud; then
+               sed -i -e '/^SUBDIRS/ s|pud||g' Makefile || die
+       fi
+}
+
+src_compile() {
+       tc-export PKG_CONFIG
+       emake \
+               CC="$(tc-getCC)" \
+               VERBOSE=1 \
+               LIBDIR="/usr/$(get_libdir)/${PN}" \
+               OLSRD_LDFLAGS="${LDFLAGS}" \
+               OS=linux \
+               build_all
+       if use gtk; then
+               emake -C gui/linux-gtk LIBDIR="/usr/$(get_libdir)/${PN}" 
CC="$(tc-getCC)"
+       fi
+}
+
+src_install() {
+       emake OS=linux LIBDIR="${D}/usr/$(get_libdir)/${PN}" \
+               DESTDIR="${D}" STRIP=true install_all
+       if use gtk; then
+               emake -C gui/linux-gtk \
+                       LIBDIR="${D}/usr/$(get_libdir)/${PN}" DESTDIR="${D}" 
install
+       fi
+
+       doinitd "${FILESDIR}"/${PN}
+
+       gzip -d \
+               "${ED%/}"/usr/share/man/man5/olsrd.conf.5.gz \
+               "${ED%/}"/usr/share/man/man8/olsrd.8.gz
+
+       dodoc CHANGELOG \
+               valgrind-howto.txt files/olsrd.conf.default.rfc \
+               files/olsrd.conf.default.lq \
+               lib/arprefresh/README_ARPREFRESH \
+               lib/bmf/README_BMF \
+               lib/dot_draw/README_DOT_DRAW \
+               lib/dyn_gw/README_DYN_GW \
+               lib/dyn_gw_plain/README_DYN_GW_PLAIN \
+               lib/httpinfo/README_HTTPINFO \
+               lib/mini/README_MINI \
+               lib/nameservice/README_NAMESERVICE \
+               lib/pgraph/README_PGRAPH \
+               lib/quagga/README_QUAGGA \
+               lib/secure/README_SECURE \
+               lib/txtinfo/README_TXTINFO \
+               lib/watchdog/README_WATCHDOG
+}

Reply via email to